2005-07-19  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.28 released.

2003-10-31  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.27 released.

2003-03-09  Ben Wing  <ben@xemacs.org>

	* Makefile:
	Delete explicit compile:: and binkit: rules.
	Don't add custom-load.elc to the list of generated elc's.
	Use STANDARD_DOCS instead of explicitly giving the targets
	and dependencies.

2003-01-03  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.26 released.

2002-12-17  Jerry James  <james@xemacs.org>

	* sb-rmail.el: Require speedbar at compile time to define the
	speedbar-message macro.

2002-11-29  Ben Wing  <ben@xemacs.org>

	* .cvsignore: Remove files now handled automatically by CVS.
	* Makefile: Use `compile' instead of hard-coded `all'.

2002-12-06  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.25 released.

2002-11-28  Ville Skyttä  <scop@xemacs.org>

	* Makefile (REQUIRES): Add edebug.

	* dframe.el (dframe-update-keymap): Get rid of keybindings to
	nonexistent `dframe-mouse-item-info'.

2002-11-25  Paul Krause  <paulkrause88@alum.mit.edu>

	* dframe.el: Pass event to poup-mode-menu if accepted.
	* dframe.el (dframe-pass-event-to-popup-mode-menu): New flag.
	* dframe.el (dframe-xemacs-popup-kludge): Use it.
	* speedbar.el (speedbar-center-buffer-smartly): Center other frame.

2002-10-15  Ville Skyttä  <scop@xemacs.org>

	* Makefile (srckit): Remove.

2002-10-14  Ville Skyttä  <scop@xemacs.org>

	* Makefile (MANUAL): Removed (unused).

2002-08-12  Rendhalver [Peter Brown]  <rendhalver@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.24 released.

2002-08-10  Steve Youngs  <youngs@xemacs.org>

	* Sync to Upstream version 0.14beta4

2002-08-08  Steve Youngs  <youngs@xemacs.org>

	* package-info.in (provides): Update.

	* Makefile (AUTHOR_VERSION): Update to 0.14beta4
	(ELCS): Add missing .elc's.

2002-03-17  Eric M. Ludlam  <eric@siege-engine.com>

	* Project.ede: Added box images.

	* speedbar.el (speedbar-buffer-easymenu-definition):
	Better enable for kill/revert
	(speedbar-buffer-kill-buffer): Use `speedbar-get-line-text'.

	* sb-image.el:
	(speedbar-directory, speedbar-box-plus, speedbar-directory-box-minus):
	New images.
	(speedbar-expand-image-button-alist): Added boxes, and empty directory.

	* sb-box-plus.xpm, sb-box.xpm, sb-box-minus.xpm: Box icon.

	* sb-html.el (speedbar-fetch-dynamic-html): Support html-mode too.

	* sb-html.el (speedbar-insert-html-list):
	Always pass 0 to format-html-list.

	* speedbar.el (speedbar-check-read-only):
	Support directories, and hidden files.
	(speedbar-check-vc): Support hidden files.

	* sb-texinfo.el (speedbar-texinfo-section-regexp): Added doc string
	(speedbar-format-texinfo-list-recursive): Doc string.
	(speedbar-insert-texinfo-list): Always pass 0 into the list reorganizer.

	* Project.ede: Version change.
	Lots of new images.

	* speedbar.el (speedbar-check-read-only):
	Get the correct file name during test.

2002-03-16  Eric M. Ludlam  <eric@siege-engine.com>

	* INSTALL: Add info about optional packages.

	* sb-rmail.el (rmail-speedbar-buttons): Use new speedbar separator.

	* sb-info.el (Info-speedbar-image-button-alist): New variable
	(Info-speedbar-hierarchy-buttons): Use above variable for images
	(Info-speedbar-expand-node): Use new variable for images.

	* sb-info.xpm: Courier lowercase i in a blue circle

	* sb-pg.xpm, sb-pg-plus.xpm, sb-pg-minus.xpm: Made the corner gray.

	* sb-label.xpm: Made slightly larger.

	* sb-image.el:
	(speedbar-label, speedbar-read-only, speedbar-document-tag,
	speedbar-document-plus, speedbar-document-minus, speedbar-info-tag):
	New images.
	(speedbar-expand-image-button-alist): Added above new images.
	(speedbar-image-dump): New test command.

	* sb-gud.el: Use the speedbar separator for labels.

	* sb-doc.xpm: Book.

	* sb-doc-plus.xpm: Book with plus.

	* sb-doc-minus.xpm: Book with minus.

	* sb-dir.xpm, sb-dir-plus.xpm, sb-dir-minus.xpm: added darker area.

	* rpm.el: Added "=" binding for expand.

	* speedbar.el (speedbar-version): New beta
	(speedbar-separator-face): Added gray overline.

2002-03-15  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el (speedbar-stealthy-function-list):
	Added new "locked files" stealthy function
	(speedbar-ro-to-do-point, speedbar-object-read-only-indicator): New variables
	(speedbar-indicator-regex): Added new ro indicator
	(speedbar-insert-separator): New function
	(speedbar-reset-scanners): Reset ro indicator
	(speedbar-check-read-only): New function
	(speedbar-buffer-buttons-engine): Use new separator function
	(speedbar-buffers-tail-notes): New function
	(speedbar-separator-face): New face.

	* sb-ro.xpm: Image to show a locked thing.

	* sb-label.xpm: Bitmap prefixing labes to make them look cool.

2002-03-02  Eric M. Ludlam  <eric@siege-engine.com>

	* Project.ede, speedbar.el: Update version number

2002-03-01  Eric M. Ludlam  <eric@siege-engine.com>

	* Project.ede: Added ChangeLog to the project.

2002-02-28  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.texi (Hidden Files):
	Updated doc near `speedbar-supported-extension-expressions'.

	* sb-w3.el: Require speedbar, and w3-menu if available.

	* sb-info.el: Require speedbar.

	* sb-image.el (speedbar-find-image-on-load-path):
	Add support for XEmacs data directories.

	* sb-gud.el: Require speedbar.

	* speedbar.el (speedbar-use-tool-tips-flag): New flag.
	(speedbar-track-mouse-flag): Use above to initialize.
	(speedbar-supported-extension-expressions): Updated doc.
	(speedbar-make-button): Do not add help echo if tool-tips are disabled.

2002-02-26  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el (speedbar-frame-plist): Remove XEmacs gutter
	(speedbar-supported-extension-expressions): Added .ma?k Makefiles
	(speedbar-check-vc): Different thes of efs regexp.
	(speedbar-buffer-buttons-engine): Ignore case search.

	* speedbar.el (speedbar-reconfigure-keymaps):
	Only add XEmacs menubar if menubar enabled.
	(speedbar-make-button): Add `speedbar-text property to buttons.
	(speedbar-update-contents): Add spaces for clarity
	(speedbar-update-directory-contents): Wrap update in `save-excursion'
	(speedbar-find-selected-file): Set current buffer to the speedbar buffer.
	(speedbar-update-current-file): Do not center the buffer smartly.
	(speedbar-line-text): Use new `speedbar-text -property instead of
	using the match of a regular expression.  More robust to spaces.
	(speedbar-center-buffer-smartly): Wrap in `save-selected-window',
	make sure we are in speedbar's buffer.  Specify argument to
	`window-height'.

2002-02-06  Eric M. Ludlam  <eric@siege-engine.com>

	* sb-w3.el (w3-speedbar-buttons): Added ###autoload tag.

	* sb-rmail.el (rmail-speedbar-buttons): Added ###autoload tag.

	* sb-info.el (Info-speedbar-buttons): Added ###autoload tag.

	* sb-gud.el: Added autoload.

	* rpm.el: Added autoload tag.

	* INSTALL: Added property quoting for `eval-after-load' example.

2001-12-17  Eric M. Ludlam  <eric@siege-engine.com>

	* dframe.el (dframe-frame-mode):
	Select the speedar frame when using a terminal.

2001-10-31  Eric M. Ludlam  <eric@siege-engine.com>

	* Project.ede: Update version.
	Added sb-ant.el

	* sb-ant.el: ANT support

2001-10-28  Eric M. Ludlam  <eric@siege-engine.com>

	* rpm.el (rpm-speedbar, rpm-tag-expand):
	Use proper sort hierarchy method.
	(

	* sb-info.el (Info-install-speedbar-variables):
	Add space keybinding to toggle expand.

	* dframe.el (dframe-frame-mode):
	Disable setting the default minibuffer frame
	(dframe-y-or-n-p): Don't compare against the default-minibuffer-frame

2001-10-27  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el (speedbar-frame-mode):
	Add function to `dframe-delete-frame-function
	(speedbar-handle-delete-frame): New function
	(speedbar-line-file, speedbar-line-path): Widen any current restrictions
	(

	* dframe.el: (dframe-version):
	(dframe-make-frame-visible-function,
	 dframe-iconify-frame-function,
	 dframe-delete-frame-function): New functions
	(dframe-handle-make-frame-visible,
	 dframe-handle-iconify-frame,
	 dframe-handle-delete-frame): New Commands bound to special events.

2001-10-26  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el (speedbar-key-map):
	Removed old SPC and DEL page up/down keys
	(speedbar-file-key-map): Added SPC to toggle expansion of a node
	(speedbar-toggle-line-expansion): New command.
	(speedbar-buffers-key-map): Added SPC to toggle expansion of a node

2001-10-22  Eric M. Ludlam  <eric@siege-engine.com>

	* dframe.el (dframe-click):
	Do not call `dframe-mouse-click-function' if it has
	no value.

2001-10-18  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el (speedbar-try-completion): New function
	(speedbar-prefix-group-tag-hierarchy, speedbar-trim-words-tag-hierarchy,
	speedbar-center-buffer-smartly): Use `speedbar-try-completion' instead
	of 'try-completion.

	* speedbar.el (speedbar-obj-alist): Added cxx.
	(speedbar-toggle-images, speedbar-toggle-sorting): Fix doc.
	(speedbar-fetch-egags-parse-list): Add cxx.

2001-08-17  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Update version
	(speedbar-find-file-in-frame): fixed `other-frame' typo.

2001-08-08  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el (speedbar-item-info-tag-helper):
	Use two new features of `semantic-sb'.
	speedbar.el will now require semantic beta9 or later, or no semantic
	at all.

2001-07-20  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el (speedbar-select-frame-method): New variable
	(speedbar-find-file-in-frame): Use above.

2001-05-31  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el (speedbar-find-selected-file):
	Regexp quote the file before finding it.

2001-05-09  Eric M. Ludlam  <eric@siege-engine.com>

	* sb-objod.xpm, sb-obj.xpm, sb-chk.xpm: *** empty log message ***

	* Project.ede: Version, sb-html, and more images.

	* sb-image.el (speedbar-checkout, speedbar-object, speedbar-object-out-of-date):
	New images.
	(speedbar-expand-image-button-alist): Added above vars.

	* speedbar.el (speedbar-version): Update to 0.14beta1
	(speedbar-add-indicator): Call image display fcn when inserting indicators.

2001-05-08  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el (speedbar-vc-check-dir-p):
	Use vc-state if available for CVS.
	(speedbar-this-file-in-vc): Use vc-state if available.

	* dframe.el (dframe-switch-buffer-attached-frame):
	Fix arg to `other-frame'.

	* speedbar.el (speedbar-buffers-line-path):
	Fixed to used `default-directory'
	instead of buffer-file-name since some buffers do not have file names.

2001-04-29  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el (speedbar-query-confirmation-method): new option.
	(speedbar-visiting-file-hook, speedbar-visiting-tag-hook,
	 speedbar-load-hook, speedbar-reconfigure-keymaps-hook): added * to doc.
	(speedbar-ignored-modes): Added fundamental-mode.
	(speedbar-directory-unshown-regexp): Added . directories.
	(speedbar-y-or-n-p): Pay attention to `speedbar-query-confirmation-method'
	and added a `deleting' parameter.
	General: Use `summarize' instead of `summerize'
	         Added true to deleting flag to speedbar-y-or-n-p where needed.

2001-04-27  Eric M. Ludlam  <eric@siege-engine.com>

	* INSTALL: Added info about sb-html.

	* sb-html.el: *** empty log message ***

	* speedbar.el (speedbar-sort-tags): Added forward in obsolete variable.
	(speedbar-tag-hierarchy-method): Swapped two items in custom list.
	(speedbar-frame-reposition-smartly): Handle explicit setting of pos in
	frame properties.
	(speedbar-line-text): Fixed regexp to handle more first button cases.
	(speedbar-dired): Do no flush last-selected-file at end.
	(speedbar-center-buffer-smartly): Better line counting for variable
	height lines.
	(speedbar-buffers-line-path): Work better for buffers.
	(end): Added section to remove speedbar from global font lock modes.

	* sb-image.el:
	Switched to check for the XEmacs feature, instead of the function presense.

	* dframe.el (dframe-reposition-frame-emacs): More docs.
	Handle top-bottom position case.
	Handle CONS cell position case.
	(dframe-set-timer-internal): For timeouts, XEmacs version change on itimer.
	(dframe-track-mouse): Fixed for XEmacs.
	(dframe-mouse-hscroll): Fixed to work better (submitted by someone I
	 forgot, sorry.)

2001-01-31  Eric M. Ludlam  <eric@siege-engine.com>

	* sb-dir-minus.xpm, sb-dir-plus.xpm, sb-dir.xpm, sb-mail.xpm, sb-pg-minus.xpm, sb-pg-plus.xpm, sb-pg.xpm, sb-tag-gt.xpm, sb-tag-minus.xpm, sb-tag-plus.xpm, sb-tag-type.xpm, sb-tag-v.xpm, sb-tag.xpm:
	*** empty log message ***

	* Project.ede: Project file for Speedbar

2001-01-08  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Hacked out many comments.
	Tried to fix accidentaly reversal of tags when alpha binning.

2000-12-13  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Added `speedbar-create-directory', bound in keymap and menu for file mode.
	Removed "SPEEDBAR" word from modeline.  Replaced with mode name.
	Turn list of display modes to radio buttons.

2000-12-11  Eric M. Ludlam  <eric@siege-engine.com>

	* sb-texinfo.el:
	Find the file before tagging due to changes in speedbar.

	* speedbar.texi: Merged changes from Emacs made by Dave Love.
	Added info about changes to dynamic tag finders.

	* dframe.el: Fixed quoting problem.

	* sb-image.el: Fixed comments.

	* speedbar.el: Update version.
	Added .g to list of extensions.
	Removed some overlay commands not being used.
	Updated help for make-tag-line.
	Updated `speedbar-generic-list-group-p' based on internet msg.
	Do not load a file to get it's tags.  Depend on the method.
	Pass file down to method getting tags, do not use the buffer name.
	Load a file for imenu support.

2000-10-21  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Always call the speedbar timer during a get-focus to get things
	updated right away.
	Deleted extra `speedbar-current-frame' function. (XEmacs byte compiler)
	In the vc and object checks, set the buffer to the speedbar buffer if
	that variable has a value. (The no value is during a detatched speedbar.)

	* dframe.el:
	In `dframe-get-focus', call the hook after the frame is created and selected.

	* speedbar.texi: Updated the copyright.
	Vast changes by Eli.

2000-10-15  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Overlay compatibility updated for xemacs fsf compatibility hack workaround.

2000-10-09  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: 2000-10-07  Dave Love  <fx@gnu.org>

		* speedbar.el (speedbar-mode): Set dframe-track-mouse-function
		conditionally.
		(speedbar-frame-mode): Set automatic-hscrolling locally.

2000-10-06  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Fixed `detatched' word.  Fixed `speedbar-detatch' but by protecting
	the frame, and making local variables.  Removed `set-buffer...' calls
	from all stealthy functions.  (The buffer should always be the speedbar
	buffer at that point.)

	* dframe.el: Fixed the one detatched frame case.

	* speedbar.el: Fixed the version number.

	* speedbar.texi:
	Proof read the doc, and fixed many simple english things.

2000-10-05  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Bring doc back to speedbar-power-click.
	Make sure C-u + command sets speedbar-power-click.

2000-10-01  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Do not display Emacs 21 toolbar in the speedbar frame.

2000-09-30  Eric M. Ludlam  <eric@siege-engine.com>

	* dframe.el: Removed toggle-updates.

	* speedbar.el: Moved toggle-updates into speedbar keymap.
	Made check for generic list types more reliable.

2000-09-22  Eric M. Ludlam  <eric@siege-engine.com>

	* dframe.el: Added xemacs frame repositioning function.
	Pass event down on XEmacs for mouse click.

	* speedbar.el:
	Tweeked the event handling for XEmacs so we only need one function.

	* sb-info.el:
	Updated regexps for node finding based in info from Richard Kim <ryk@dspwiz.com>

2000-09-09  Eric M. Ludlam  <eric@siege-engine.com>

	* dframe.el: Stop running through timeouts if there is user input.

	* speedbar.el: Added backward compatible speed variables.

2000-09-08  Eric M. Ludlam  <eric@siege-engine.com>

	* dframe.el: Fixed up timers to restart properly.

	* dframe.el: Fixed typo

	* INSTALL: Added details about programs that use speedbar.

2000-09-07  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	re-enabled speedbar-power-click via let statement in speedbar-click.
	Added `speedbar-current-frame'.

2000-09-05  Eric M. Ludlam  <eric@siege-engine.com>

	* bigclock.el: Added in some function quotes.
	Fixed comma typo.

	* dframe.el: Fixed typo in comments.
	Make the four application function variables buffer local.
	Don't call help-echo function if there isn't one.

	* speedbar.el: Removed some stuff from the header.
	For `expandtag' button type, make sure it is three characters long,
	otherwise the expand/contract code can get a little confused when
	working with images.

	* speedbar.texi: Reworked the intro a little.

	* INSTALL: Updated for next version of speedbar.

2000-09-04  Eric M. Ludlam  <eric@siege-engine.com>

	* dframe.el: Checkdoc updates.
	Reindent dframe-help-echo

	* bigclock.el: Checkdoc.

2000-09-02  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Removed all the image handling code.

	* sb-image.el: New file.

2000-08-31  Eric M. Ludlam  <eric@siege-engine.com>

	* dframe.el: Added a version variable.
	Fixed defgroup up.

	* speedbar.el: Fixed up -message, and -y-or-n-p to be backquoted in.
	Added aliases for `speedbar-select-attached-frame', and
	-with-attached-buffer, and -maybe-jump-to-attached-frame
	for compatibility.
	Removed `speedbar-show-info-under-mouse' call from timer.

2000-08-21  Eric M. Ludlam  <eric@siege-engine.com>

	* bigclock.el: New file.

2000-08-17  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Added a version variable, added it near top, removed version slot from lm.

	* rpm.el, sb-info.el: Updates for speedbar's use of dframe.

	* rpm.el: Use dframe-power-click, instead of speedbar-power-click.

	* speedbar.el: speedbar-update-flag; set to dframe-have-timer-flag.

	* dframe.el: Updated doc.
	Added variable specifying if we should use timers.

2000-08-14  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Stripped out all frame management stuff, including timer, and mouse
	click specifics.
	Use new dframe API for that same behaviors.

	* dframe.el: New file.

2000-08-09  Eric M. Ludlam  <eric@siege-engine.com>

	* sb-texinfo.el: Added provide.

2000-07-22  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Added `speedbar-current-frame', and use this in place of
	`speedbar-frame' variable.  This should help make detatched frames
	more reliable.

2000-07-19  Eric M. Ludlam  <eric@siege-engine.com>

	* INSTALL: New file.

	* speedbar.el: Version update.

	* sb-texinfo.el: Few comment updates.

	* speedbar.el: Fixed auto update menu item to work with XEmacs.
	Fixed detached frame mouse-3 menu popup.
	Fixed up new code for specialized tag/group buttons.

2000-07-13  Eric M. Ludlam  <eric@siege-engine.com>

	* sb-texinfo.el:
	speedbar-insert-texinfo-list no longer sets sthm to nil.
	speedbar-format-texinfo-list uses new positioned group for
	any chapter w/ sections (etc)  Also set new
	speedbar-generic-list-{group-expand|tag}-button-list to
	nice values.

	* speedbar.texi:
	Updated doc for `speedbar-make-tag-line', `speedbar-tag-hierarchy-method',
	and `speedbar-insert-generic-list'.

	* speedbar.el:
	Added two new button types to `speedbar-make-tag-line' of `expandtag'
	and `statictag'.  Make sure statictag doesn't get a face.
	In `speedbar-change-expand-button-char', insert new char first, then
	delete the old.  Good for two character buttons.
	In `speedbar-create-tag-hierarchy', force a get of the file name
	no matter what kind of line we are on.
	New variables `speedbar-generic-list-group-expand-button-type' and
	`speedbar-generic-list-tag-button-type'.
	In `speedbar-insert-generic-list', use the above new variables to
	determine the type of button to make.  Get the values from buffer
	local values if possible.

	* speedbar.el: Removed :visible from Auto Update menu item.
	Added Generic List comment section, plus these functions:
	  `speedbar-generic-list-group-p',
	  `speedbar-generic-list-positioned-group-p'
	  `speedbar-generic-list-tag-p'
	Replaced old queries for these things with the new functions.
	When inserting generic list buttons, added a new type which is a group
	that also contains a position.
	(Generic list stuff for new texinfo tagger.)

2000-07-05  Eric M. Ludlam  <eric@siege-engine.com>

	* sb-texinfo.el: 1.5 - speedbar-tag-hierarchy-method is set to nil by
	      speedbar-insert-texinfo-list as well as
	      speedbar-fetch-dynamic-texinfo.  This is needed in order to
	      have the texinfo nodes displayed in correct order.

2000-07-04  Eric M. Ludlam  <eric@siege-engine.com>

	* sb-texinfo.el: From Richard Y. Kim on version 1.4
	speedbar-tag-hierarchy-method is now set to nil by
	speedbar-fetch-dynamic-texinfo after making it buffer local
	first. I thought this was buffer-local variable already, but it is
	not. Also added installation instruction.

2000-06-30  Eric M. Ludlam  <eric@siege-engine.com>

	* sb-texinfo.el: New file.

2000-06-23  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Fixed terminal mode loading of EDE which used to need a frame.
	Changed order so SORT is last, which lets it work.

2000-06-20  Eric M. Ludlam  <eric@siege-engine.com>

	* sb-info.el: Fixed up let statements w/ searches.

2000-06-11  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Added `speedbar-detatch' so we can have multiple speedbars.
	Fixed `speedbar-trim-words-tag-hierarchy' to work w/ semantic.

2000-06-03  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.texi:
	Added bit about universal argument for flushing tag caches.

	* speedbar.el: Integrate changes from Eli about display-graphic-p.

2000-05-17  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Fixed list problem with splicing Enable Image in the menu.
	Fixed XEmacs invisible text property problems.

2000-05-15  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el (speedbar-recenter): Typo, and fix logic.
	(speedbar-expand-line): Make arg optional.
	(speedbar-mode): Avoid a compiler warning.

2000-05-13  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Require 'defimage in a safe way.
	Added menu item for toggling image use, and for flush & expand.
	Added `speedbar-toggle-images' and `speedbar-flush-expand-line'.
	`speedbar-expand-line' now takes a universal argument.
	Use explicit call to bufer-file-name instead of a variable for accuracy.
	Eval-when-compile defimage macro stuff.
	Use :ascent center for all images.

2000-04-25  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Do not use images on terminals.

2000-04-22  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Fixed up documentation with checkdoc.

	* speedbar.el: Added in more images.

2000-04-14  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Make our defimage safe in XEmacs.

2000-04-12  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Hacked out problems with older emacs (19.34 and 20.5)

	* speedbar.el: Added support for Images:
	  Variable `speedbar-use-images'.
	  `defimage' for XEmacs which doesn't define it.
	  XEmacs image insertion.
	  Copied Emacs21 image code from old speedbar21 file.
	  XEmacs glyph event support.
	  All `buttons' inserted are now compared.  Specialized packages can
	  extend the image list.

2000-04-09  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Fixed up previous depthsize checkin.

2000-03-21  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: update xemacs20p to handle versions > 20
	Fix some documentation.
	Turned "hide-button-brackets-flag' into a defcustom.
	Added `speedbar-indentation-width' of 1.  Affects depth of indentation.
	Added support to image button calls.
	Catch search errors in expand/contract line.

2000-02-17  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.texi: Fixed typo.

2000-02-09  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	(speedbar-buffer-buttons-engine) Strip the directory name from the
	buffer file name when putting a token onto the [+] button.

2000-01-25  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Fixed doc on speedbar-dynamic-tags-function-list.

	* speedbar.texi:
	Added a chapter on tagging extentions, and fixed some compile problems.

	* speedbar.el (speedbar-use-bovinator-flag): Removed
	(speedbar-dynamic-tags-function-list): New variable.
	(speedbar-create-tag-hierarchy): Don't use copy-tree if it isn't
	available.
	(speedbar-insert-bovine-list): Removed
	(speedbar-insert-imenu-list, speedbar-insert-etags-list): New.
	(speedbar-fetch-dynamic-tags): New
	(speedbar-tag-file): Use `speedbar-fetch-dynamic-tags' instead of
	checking all known methods of tagging individually.
	(speedbar-fetch-dynamic-imenu): Don't bother setting buffer anymore.

1999-11-29  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	The tag highlighting face is now the speedbar-highlight-face.

	* speedbar.el:
	Converted all regexps to use [/\\] insead of just / when breaking up
	directories.

	* speedbar.el:
	Added a hook to speedbar-visiting-tag-hook to force a recenter.
	Added several new functions to choose from also.

1999-10-20  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Converted hierarchy methods into a hook.
	Added predefined hooks for visiting-tag-hook.
	Fixed some documentation.

1999-09-19  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Added new keymap reconfigure hook.
	Added perl .pm to known extensions.

	* speedbar.texi:
	Used many of RMS's comments such as passive-voice, and queue->cue.
	Only modified user chapters, now programmer chapters.

1999-09-15  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.texi: Fixed spelling, and title.

	* speedbar.texi: Added giant copyright notice.

	* speedbar.texi: Added concept and function indices.

	* speedbar.texi:
	Proofread, fixed random stuff, and made work with makinfo 3.12f.

1999-08-20  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.texi: New file.

1999-05-27  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Use the new semantic summerize feature.

1999-05-23  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Fixed center-smartly to not depend on the old formats quite so much.

1999-05-22  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Enabled specialized detail display for bovinated items.

1999-05-18  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Added power-click support to bovinator.

	* speedbar.el:
	Added special case in the hierarcy function for being clear w/ lists.
	Condition case when bovinating.

1999-05-05  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el (speedbar-use-bovinator-flag): New flag.
	(speedbar-use-imenu-flag): Change custom tag.
	(speedbar-insert-bovine-list): New function.
	(speedbar-syntax-table): Add { and } to table.
	(speedbar-tag-file): If a bovine table is available, use it.
	(speedbar-fetch-dynamic-bovine): New function

1999-04-28  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: (speedbar-file-key-map, speedbar-buffers-key-map):
	 Added keybinding "=" same as "+" so you don't have to hit shift.
	 (speedbar-fetch-dynamic-etags): Set buffer to the tmp buffer when
	 extracting expressions. (Newer XEmacs exposed this.)

1999-03-10  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Added speedbar-y-or-n-p.  Make use of it in all fns.

1999-03-01  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: New function speedbar-message
	changed message to speedbar-message where apropriate.

	* rpm.el, sb-rmail.el: changed messge to speedbar-message

1999-02-15  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Fixed tag info function.

1999-01-28  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Added {} support in speedbar-line-text and speedbar-line-token.

1999-01-25  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Updated commentary on specialized modes.

1999-01-21  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el (speedbar-item-info-file-helper): Add optional arg
	of the file whose info we want to display.
	(speedbar-easymenu-definition-trailer) Fix list issue w/ customize.
	(speedbar-add-mode-functions-list) Improve doc.
	(speedbar-line-token) New function.
	(speedbar-dired) Fix order of directories in -shown-directories.

1999-01-11  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Version update

	* speedbar.el (speedbar-line-path): Default return is default-directory
	(speedbar-buffers-line-path): Return is dir name only.

1999-01-06  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Updated Version & copyright
	(speedbar-mode-functions-list): New variable.
	(speedbar-mouse-item-info): Rewrote to be a replaceable fn.
	(speedbar-item-info-file-helper, speedbar-item-info-tag-helper
	speedbar-files-item-info speedbar-buffers-item-info): New functions.
	(speedbar-fetch-replacement-function,speedbar-add-mode-functions-list):
	New functions.
	(speedbar-line-file): Broke out part that fetches file from a line.
	(speedbar-line-text): New function extracted from speedbar-line-file.
	(speedbar-line-path): Converted into a replaceable function.
	(speedbar-files-line-path, speedbar-buffers-line-path): New functions.

1998-12-19  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Fixed up cfx divination to handle lists from originating frame correctly.
	Brought over some changes from speedbar.el from emacs 20.3 sources.

1998-12-12  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Rehash attempt for geometries with lists.

1998-11-24  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Update SCCS checks from p. to s. since that is in the spirit of what
	we want.

1998-11-22  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: More sort/bin problem correction when organizing tags.

1998-10-24  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Update version number
	(speedbar-tag-group-name-minimum-length): New variable.
	(speedbar-frame-parameter): New compatibility function.
	(speedbar-frame-mode): Updated to use speedbar-frame-parameter.
	(speedbar-apply-one-tag-hierarchy-method): Fixed up taging sub
	groups to keep things in the right order, and to help with some
	naming conventions.
	(speedbar-create-tag-hierarchy): Enable buffer local version of
	`speedbar-tag-hierarchy-method' in the buffer we are tagging.
	(speedbar-line-path): Permit depth to be optional.  When this is
	the case, derive it from the cursor location in speedbar.

1998-10-04  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el (speedbar-initial-expansion-list-name):
	Remove customization since it
	is not useful in this case.
	(speedbar-frame-mode): Check if cfx or cfy is a list, and make sure it
	gets evalled to a number.  Also verify that set-frame-name fn exists
	before calling it.

1998-09-12  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Do not set frame pos on terminals

1998-08-31  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Changed version number

1998-08-24  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	When running stealthy functions, make sure the buffer is writeable.

	* speedbar.el:
	Fixed problem w/ newest emacs and the temp-buffer-show-hook.

	* speedbar.el: Made the speedbar buffer read only.

1998-08-20  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Fixed a typo

1998-08-19  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Hide lock files.
	Position frame at startup.
	Don't update when iconified, or from minibuffer.

1998-08-16  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Removed scrollbar width from the frame params for emacs.

1998-08-08  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el (speedbar-edit-line, speedbar-buffer-kill-buffer, speedbar-buffer-revert-buffer):
	Updated buffer finding regex to
	handle the [?] tag.
	(speedbar-find-selected-file): New function.
	(speedbar-clear-current-file): Uses `speedbar-find-selected-file'
	(speedbar-update-current-file): Uses `speedbar-find-selected-file',
	and now `speedbar-last-selected-file' is defined as the path name
	to the file, not just the file itself.
	(speedbar-center-buffer-smartly): Fixed center error to handle
	the whole buffer.
	(speedbar-delete-subblock): Rewrote to be more robust, less clever.
	(speedbar-timer-fn): Removed short display time for messages.

1998-08-04  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Removed extra code from speedbar-refresh dealing with messages.
	Added said code to the timer so that minibuffer's aren't overwritten
	for very long.

1998-08-03  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Removed a paren.

	* sb-gud.el:
	Updated to new speedbar system loading.  Fixed a no stack error.

	* speedbar.el:
	Removed silly if statement stuff from around emacs/xemacs frame param
	stuff.  This is irrelevant since the symbols are different.

	* sb-rmail.el: Updated to new speedbar init file technique.

	* speedbar.el:
	Fixed a bug where ctrl-down-mouse1 could be used to change buffers,
	but caused an error.  I now use a hack to get around it.
	Also, fixed the current file selection to center smartly.

	* sb-info.el: Fixed comment from when I copied from RPM mode.
	Updated the completions that are retrieved to include more stuff.

1998-07-15  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	When overriding defcustom things, make sure the various symbols do not
	exist.
	Fixed tag for setting the frame parameters.
	Added various pc checks when setting up frames related to pointers.
	Added new RCS valid pattern
	Fixed the "root" pattern for finding a: on the pc.

1998-06-20  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: XEmacs fixes, removal of history to ChangeLog

1998-06-16  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Small fix for PC dir path.

1998-06-14  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Version number

1998-06-13  Eric M. Ludlam  <eric@siege-engine.com>

	* sb-w3.el: Fixed keymap copy/paste error

	* sb-w3.el: Version number

	* rpm.el: Upgraded to use the new keymap stuff

	* sb-gud.el: Added : to symbol names for c++ GDB

	* sb-info.el: Added new type of menu item that is findable to fix bugs

	* sb-rmail.el: Made the REGEX for finding folders configurable

1998-06-12  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Added a `speedbar-item-object-delete' to delete associated object
	files.  This function will reset scanners.  The byte-compile item will
	also reset the scanners.

1998-06-11  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Made speedbar-stealthy-function-list have name tags to match those
	found in speedbar-initial-expansion-mode-alist.  Thus, the buffers
	menu won't get tagged by the file functions.

1998-06-09  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Many checkdoc changes from new tests.
	Track mouse is once again buffer local.
	Added kill/revert buffer keys to buffer speedbar display.

1998-05-17  Eric M. Ludlam  <eric@siege-engine.com>

	* sb-w3.el: Added new keymap support.

	* sb-rmail.el: Fixed doc.

	* sb-rmail.el: Changed to handle new keymap feature

	* sb-info.el: Changed to handle new keymap feature.
	Updated to have new loading construct that will port to info.el
	easier.

	* sb-gud.el: Changed to handle keymap feature.

	* speedbar.el: A bunch of XEmacs fixes.

1998-05-16  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Added mega-commentary on speedbar special modes

	* speedbar.el: Fixed the set for track-mouse

	* speedbar.el:
	Added a generic info finder function so it should work ok for all
	modes.

1998-05-15  Eric M. Ludlam  <eric@siege-engine.com>

	* sb-info.el: Whatever.

	* speedbar.el, sb-info.el: Fixed compile bug.

	* speedbar.el: Enabled mouse tracking for Emacs.
	Fixed info to always print something, even if it's just the text under
	the mouse.
	Wrote a mouse motion handler that calls the speedbar info function.

1998-05-13  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Completely revamped the speedbar keymap.  Each display mode can now
	define their own keymap (inheriting from the default speedbar keymap
	with a special function).  This turns off silly file specific keys in
	non file modes.
	Also, added some fixes from Bob Weiner.  Including
	temp-buffer-show-function fix, tripple spell check, EFS support,
	and infodoc support.

1998-05-09  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Version

	* speedbar.el:
	Fixed bug where clicking on a dir name that was shown in an expanded
	sub-directory caused an error. (caused by the smart-expand stuff)

	* sb-info.el:
	Completely re-wrote the display engine to support expandable nodes in a tree
	hierarchy.  Turned that into a major mode.

1998-05-07  Eric M. Ludlam  <eric@siege-engine.com>

	* sb-info.el: Added an info major mode for speedbar.

1998-05-06  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Added html as a supported extension.

	* speedbar.el: Version update.

	* sb-w3.el: Added T.V.Raman's w3 stuff.

1998-05-05  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Duh

	* rpm.el: Made buffer read only.

	* speedbar.el:
	Added keymap to the list of things in a default expansion list.

	* rpm.el: New file.

1998-05-04  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	`speedbar-add-supported-extension' and `speedbar-add-ignored-path-regexp'
	are now interactive

1998-04-16  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	The path finder and speedbar tagging functions are now compatible with
	arbitrary speedbar displays.  You can now tag-exand from the buffer
	display.

	* speedbar.el: Ok, really fixed the XEmacs 19.16 problem.  Phew..

	* speedbar.el: Fixed compile problem, and some checkdoc fixes.

1998-04-15  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Custom workaround for XEmacs changes.

	* speedbar.el: Added a buffer dynamic as an optional display.
	Added a menu item for all available speedbar displays.
	Added python.
	Added regrouping while splitting into groups to represent ranges of
	symbols.
	Updated comments.

1998-03-18  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Fixed up custom for tag-hierarchy-method

	* speedbar.el: Junk tags are now appended after grouped tags.
	Word trimming is not done to lists of length 1.

	* speedbar.el:
	Made the initial expansion list be a group of expansion "modes",
	and the current mode is defined in a string for normal buffers.
	Special modes are still special.
	Added special tag list mutating code.  Only takes effect if the lists
	are really long.

1998-03-12  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Fixed irritating bug in my regex from the fortran change.

	* speedbar.el: Added case-fold-search stuff

	* speedbar.el: Added fortran support.

1998-03-10  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Added override function for `switch-to-buffer' in speedbar.
	Added `speedbar-directory-unshown-regexp' which will hide VC
	  directories from the main list.
	Added `speedbar-[forward|backward]-list' and bound them to
	  C-M-[f|p].  This lets you quickly navigate over the directory
	  list to the file list, and vice-versa.

	* speedbar.el: Added Perl5 support (.pm)

1998-03-09  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Added hide-button-brackets-flag and fixed current file positioning
	bug.

1998-03-06  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Fixed menu problem left over from the merger with speedbspec

	* speedbar.el:
	Fixed problem where the current file wasn't always highlighted, and fixed
	problems with smart expander, and the cache stuff.  They were failing
	searches because the indicator regex was not optional.

	* speedbar.el:
	Merged speedbspec in.  This simplifies the whole management of
	speedbar extensions for special modes greatly.

	* sb-w3.el, sb-info.el, sb-rmail.el: Added comment about the autoload

	* sb-gud.el: Removed dependency on speedbspec
	Added comment about the autoload

	* sb-rmail.el, sb-info.el, sb-w3.el: Removed dependency on speedbspec

	* speedbar.el: speedbar-update-flag defaults to off on terminals.
	The update function is called w/ update flag on by speedbar-get-focus
	when the update flag is off.

	* speedbar.el: Enabled object tagging in depths > 0

1998-03-05  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	It is now possible to update states of indicators and they correctly
	remove themselves from the list of indicators.

	* speedbar.el:
	Will now work in a non-windowing environment (a terminal)
	Added new restricted navigation functions (only jumps between items at
	the same level.

	* speedbar.el:
	Updated indicator methods to provide multiple types of indicators.
	Then added a new indicator to pring a # by each file that has an
	associated binary file in that directory with it.  I'd like to also
	indicate when a given object goes out of date, but that is a change
	for later.

1998-01-07  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el, sb-rmail.el, sb-info.el, sb-gud.el: Part of emacs

	* speedbar.el: Moved speedbar-get-focus, and added autoload tag.

1997-12-23  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: fixed button-3 menu for emacs 20.

1997-12-14  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Simple documentation changes. XEmacs double click stuff.

1997-12-12  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Fixed up lots of XEmacs specific stuff surrounding frames.
	Removed emacs menubar.  Added menu to button 3.
	Now use repeating timer instead of restarting it myself.

1997-11-21  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Few last hacks to make it work in XEmacs, and a checkdoc pass.

	* speedbar.el:
	Added some comments, and merged a patch from Hrvoje Niksic for XEmacs
	fixes

1997-11-12  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Added comments.

	* speedbar.el: Fixed so that there can be no ignored paths
	Added .l & .lsp as lisp, suggested by: sshteingold@cctrading.com
	You can now adjust height in `speedbar-frame-parameters'
	XEmacs fix for use of `local-variable-p'

1997-11-05  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Fixed more problems for Emacs 20 so speedbar loads correctly.
	Updated some documentation strings.
	Added customization menu item, and customized some more variables.

1997-11-03  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Fixed bad problem w/ ignored paths
	Removed condition-case from main timer fcn
	Changed speedbar-edit-line so that if we are not on a file-line, we
	"edit" the item the cursor is on.  This is more intuitive.

	* sb-gud.el: Checkdoc passed

	* sb-gud.el: New file.

1997-11-01  Eric M. Ludlam  <eric@siege-engine.com>

	* sb-rmail.el, sb-info.el, sb-w3.el: New file.

1997-10-10  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Added custom support.  We loose the great face generator for older emacsen
	though.  Still need to figure this one out without making speedbar too big.
	Added double-click mouse-1 to do the same thing as middle click.
	XEmacs pointershape cutout

1997-09-12  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Emacs 20 char= support

1997-08-15  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Fixed problem when going going to a file in an open subdirectory
	by using the text-cache.  The default directory was the subdirectlry,
	resulting in bad file name extraction.

	* speedbar.el:
	Added -visiting- hooks for when a tag or file is visited.
	Added a hook called just before the speedbar frame is "popped up"
	Fixed if statement around imenu use to bebased on imenu, not xemacs.
	Added extra levels of finding in etags/TeX

1997-08-02  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Added speedbar-smart-directory-expand-flag which lets the user control
	if directories are intelligently added to an existing list or not.

	* speedbar.el: Fixed ange-ftp require compile time problem.
	Fixed XEmacs menu bar bug.
	Added `speedbar-activity-change-focus-flag' to control if the focus changes
	  w/ mouse events.
	Added `speedbar-sort-tags' toggle to the menubar.

1997-06-27  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: xemacs feature around ange-ftp

1997-06-14  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Added advice from ptype:
	  post-command-idle-hook for old emacsen
	  speedbar-sort-tags now sorts imenu listings
	added hooks for VC types and scanner resetting
	added revert hook to reset scanners which might affect VC displays

1997-06-06  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Renamed speedbar-do-updates to speedbar-update-flag and fixed checkdoc stuff

1997-06-04  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Fixed a couple doc-strings

1997-06-03  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Added select-frame during quit.
	Spell-checked all the doc-strings.

1997-05-29  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Added java to etags supported extensions

1997-05-26  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Added a few doc changes based on new checkdoc checks

1997-05-14  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Fixed use of easymenu w/ toggles

	* speedbar.el: Added some comments.  Made menu creation more flexible.

1997-05-01  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Made item info and edit more robust

1997-04-29  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Added new mode-specific contents control and convenience functions

1997-04-26  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Added todo item, and fixed more documentation strings

1997-04-04  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Version update

	* speedbar.el: checkdoc autofixes.
	byte compiler warnings

1997-04-01  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: fixed comments based on checkdoc.

1997-03-30  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Updated all doc strings to conform to standards.  Checked with checkdoc.

1997-03-27  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Gobs of doc-string fixes based on checkdoc.

1997-03-20  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Fixed for people who run MBFs (Minibuffer frames) where
	default-minibuffer-frame was being set incorrectly.

1997-03-19  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Comment & code management (Moving things around)

	* speedbar.el: XEmacs bugfixes & new window title.

1997-03-03  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Made one small xemacs change dealing with eval-when-compile.

1997-03-01  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Updated comments & doc.  Added power-click to the file list generator.

	* speedbar.el:
	New fn `speedbar-find-file-in-frame' which will put clicked file in
	attached frame or pop up an existing frame that has that file in it.
	Using new `speedbar-power-click' the file will always be poped up in a
	new frame.  When opening tags, the power click will force imenu to
	rescan.

	* speedbar.el: Fixed bad bugs in `speedbar-add-*-regexp' causing hangs.

	* speedbar.el:
	Quitting does not delete speedbar buffer.  Buffer name starts with a space.
	Moved some stuff around.

1997-02-27  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Removed leftover messages

1997-02-26  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: List of directories never to enter now allowed.
	Fixed cursor not moving to line with selected file bug.

1997-02-12  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Fixed text-cache.  It is now enable to handle switch-backs into open
	subdirectories.   Added a new function to clear the current selected
	file.

1997-02-10  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Doc updates.  Stopped using wholenump (breaks xemacs)

1997-02-08  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	New UP directory keybinding.  Rebound g to what was once r.  New doc
	strings.  New focus following (frame raising stuff).  Fixed span and
	trim on directory button for more diverse widths.  refresh now
	refreshes all directories that were open before.  (Called when g is pressed)
	Copy/rename/delete use new refresh, and position cursor in a good
	spot.

1997-02-07  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Fixed line-number-mode check in mode-line creator
	Fixed extention-list-to-regexp for when no non-extension files available

	* speedbar.el: Fixed imenu load bug (only happened during compile)
	Added XEmacs stuff, etag sorting fix, quit key
	Modeline updates itself on timer
	Frame is cached when closed to speed up re-creation
	Speedbar window is marked dedicated (no splits or whatever)
	Added bindings for n, p, SPC, DEL, and RET to be like dired
	Fixed up speedbar-position-cursor-on-line to be more robust.
	Added directory-button-trim-method for ways of trimming the directory button.

1997-01-30  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Added smarts to byte-compile, and fixed background color guesser which
	died on XEmacs.

1997-01-25  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Fixed the kill-buffer hook

	* speedbar.el:
	Added hook so if the user kills the speedbar buffer, the frame will be
	removed.

	* speedbar.el: Added new vc check function which can be overloaded
	added `speedbar-line-file' to get file full path from the current line
	Added gobs of new file manipulation routines for delete, copy, rename,
	byte-compile, and load.  Also added new keystroke to get info about a
	file in the speedbar buffer.

1997-01-23  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Fixed documentation strings to conform to standards
	Added condition-case around the timer so it can reset itself.
	Added save-match-data around the entire timer so that any calls from
	within doesn't mutate any running applications.
	Added Checks for ange-ftp directories to turn off the vc thingie.

1997-01-19  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	The auto-refresher failed in info buffers in XEmacs.  Added smarts so
	it would never fail in either emacsen.

1997-01-18  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Fixed another vc error.  All places where update-current-file was once
	called has been replaced with stealthy-updates

	* speedbar.el:
	Fixed vc stuff to work with the multi-layer stuff (Oops) and so that
	it is easier to add new version control systems.

	* speedbar.el:
	Added `speedbar-stealthy-function-list' which is a list of visual
	effects for the speedbar which we do not want to do every time.  (This
	slows down editing.)  Updating the current file is not a member of
	this list.  New function `speedbar-check-vc' is also a part of this
	list.  This function marks with a `*' all files currently checked out
	of RCS.  Other VC systems will follow in the future.

	* speedbar.el: Fixed update bug when speedbar frame is selected.
	Setup so temp buffers appear in the selected frame.
	Setup so that if editing a file not in speedbar frame, speedbar will
	refresh the cache (which is obviously out of date...)

1997-01-08  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Added comment about AUC-TEX

1997-01-04  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Fixed compile trouble on XEmacs relating to imenu.
	Tried to add special help in other frame but failed.

	* speedbar.el:
	Moved config dialog stuff to it's own file.  Fixed XEmacs frame
	selecting bug.  Added list of extensions that speedbar can tag.  Fixed
	list closing code.

1996-10-30  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Fixed up comment

	* speedbar.el: Fixed a type in the color part

	* speedbar.el:
	Fixed some broken documentation, and improved other doc strings.
	Added some mode hooks.  Fixed color selection improvements
	Fixed speedbar-frame-mode so that no argument will toggle it's
	existence.

1996-10-26  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el:
	Changed comments and doc strings, and several small bugs.

1996-10-24  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Made major revisions listed under 0.3 in comments.

1996-10-01  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Fixed some comments, and changed a color value.

	* speedbar.el:
	Fixed many bugs: x-pointer messing up new frames, speedbar-buffer
	accidentally settings itself as default, taging problems.
	Added new stuff: imenu use, directory stuff upgrade.
	See docs in file.

1996-09-27  Eric M. Ludlam  <eric@siege-engine.com>

	* speedbar.el: Moved a definition

	* speedbar.el: New file.

